# Namespace: internal

## Classes

- [AdminDeleteSalesChannelsChannelProductsBatchReq](../classes/internal-25.AdminDeleteSalesChannelsChannelProductsBatchReq.md)
- [AdminGetSalesChannelsParams](../classes/internal-25.AdminGetSalesChannelsParams.md)
- [AdminPostSalesChannelsChannelProductsBatchReq](../classes/internal-25.AdminPostSalesChannelsChannelProductsBatchReq.md)
- [AdminPostSalesChannelsReq](../classes/internal-25.AdminPostSalesChannelsReq.md)
- [AdminPostSalesChannelsSalesChannelReq](../classes/internal-25.AdminPostSalesChannelsSalesChannelReq.md)

## Type Aliases

### AdminSalesChannelsRes

Ƭ **AdminSalesChannelsRes**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `sales_channel` | [`SalesChannel`](../classes/internal.SalesChannel.md) |

#### Defined in

medusa/dist/api/routes/admin/sales-channels/index.d.ts:6

## Variables

### AdminGetSalesChannelsParams\_base

• `Const` **AdminGetSalesChannelsParams\_base**: [`"/home/runner/work/medusa/medusa/packages/medusa/dist/types/global"`](internal-7.__home_runner_work_medusa_medusa_packages_medusa_dist_types_global_.md)

#### Defined in

medusa/dist/api/routes/admin/sales-channels/list-sales-channels.d.ts:142
